package com.koobietech.eas.service;

import com.koobietech.eas.common.pojo.JwtUserDto;
import com.koobietech.eas.dao.adminLoginPojo.UserDetail;

public interface StudentLoginRedisService {

    String createJwtTokenKey(JwtUserDto jwtUserDto);

    String createJwtRefreshTokenKey(JwtUserDto jwtUserDto);

    void loginSavaCache(String redisTokenKey, UserDetail userDetail, Integer token_expires);

    UserDetail loginGetCache(String newRedisTokenKey);

    UserDetail checkToken(JwtUserDto jwtUserDto);

    Boolean loginDeleteCache(String newRedisRefreshTokenKey);
}
